> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Presentation As Pptx Or Pdf V3

> Export a presentation as PPTX, PDF or PNG.

Create an API Key from your account to access this endpoint.
Authorization: Bearer sk-presenton-xxxxxxxx



## OpenAPI

````yaml /api-reference/openapi.json post /api/v3/presentation/export
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.presenton.ai
security: []
paths:
  /api/v3/presentation/export:
    post:
      tags:
        - V3 Presentation
      summary: Export Presentation As Pptx Or Pdf V3
      description: |-
        Export a presentation as PPTX, PDF or PNG.

        Create an API Key from your account to access this endpoint.
        Authorization: Bearer sk-presenton-xxxxxxxx
      operationId: export_presentation_as_pptx_or_pdf_v3_api_v3_presentation_export_post
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            description: Bearer JWT or API Key
            title: Authorization
          description: Bearer JWT or API Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_export_presentation_as_pptx_or_pdf_v3_api_v3_presentation_export_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationPathAndEditPath'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_export_presentation_as_pptx_or_pdf_v3_api_v3_presentation_export_post:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Presentation ID to export
        export_as:
          type: string
          enum:
            - pptx
            - pdf
            - png
          title: Export As
          description: Format to export the presentation as
      type: object
      required:
        - id
        - export_as
      title: >-
        Body_export_presentation_as_pptx_or_pdf_v3_api_v3_presentation_export_post
    PresentationPathAndEditPath:
      properties:
        presentation_id:
          type: string
          format: uuid
          title: Presentation Id
        path:
          type: string
          title: Path
        edit_path:
          type: string
          title: Edit Path
        credits_consumed:
          type: number
          title: Credits Consumed
      type: object
      required:
        - presentation_id
        - path
        - edit_path
        - credits_consumed
      title: PresentationPathAndEditPath
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````